<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LibSylph: Sylph/Core/Common.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.8 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="classes.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Sylph/Core/Common.h File Reference</h1>This file is a shortcut to include many commonly used headers.  
<a href="#_details">More...</a>
<p>
<code>#include &quot;Any.h&quot;</code><br>
<code>#include &quot;Array.h&quot;</code><br>
<code>#include &quot;Dictionary.h&quot;</code><br>
<code>#include &quot;File.h&quot;</code><br>
<code>#include &quot;Primitives.h&quot;</code><br>
<code>#include &quot;Range.h&quot;</code><br>
<code>#include &quot;String.h&quot;</code><br>
<code>#include &quot;Exception.h&quot;</code><br>

<p>
<div class="dynheader">
Include dependency graph for Common.h:</div>
<div class="dynsection">
<p><center><img src="_common_8h__incl.png" border="0" usemap="#Sylph/Core/Common.h_map" alt=""></center>
<map name="Sylph/Core/Common.h_map">
<area shape="rect" id="node3" href="_any_8h-source.html" title="Any.h" alt="" coords="149,469,205,499"><area shape="rect" id="node9" href="_exception_8h-source.html" title="Exception.h" alt="" coords="676,547,777,576"><area shape="rect" id="node14" href="_primitives_8h-source.html" title="Primitives.h" alt="" coords="124,624,223,653"><area shape="rect" id="node27" href="_array_8h-source.html" title="Array.h" alt="" coords="933,315,1000,344"><area shape="rect" id="node48" href="_range_8h-source.html" title="Range.h" alt="" coords="1176,392,1251,421"><area shape="rect" id="node59" href="_dictionary_8h-source.html" title="Dictionary.h" alt="" coords="548,83,649,112"><area shape="rect" id="node85" href="_string_8h-source.html" title="String.h" alt="" coords="435,237,507,267"><area shape="rect" id="node100" href="_file_8h-source.html" title="File.h" alt="" coords="1380,160,1436,189"><area shape="rect" id="node5" href="_object_8h-source.html" title="Object.h" alt="" coords="1020,701,1100,731"><area shape="rect" id="node21" href="_current_function_8h-source.html" title="CurrentFunction.h" alt="" coords="696,624,840,653"><area shape="rect" id="node29" href="_iterable_8h-source.html" title="Iterable.h" alt="" coords="1376,392,1461,421"><area shape="rect" id="node32" href="_iterator_8h-source.html" title="Iterator.h" alt="" coords="1376,469,1461,499"><area shape="rect" id="node44" href="_comparable_8h.html" title="Include this file if you want your objects to be comparable with operator&lt; ,…..." alt="" coords="552,392,664,421"><area shape="rect" id="node39" href="_foreach_8h-source.html" title="Foreach.h" alt="" coords="1637,624,1725,653"><area shape="rect" id="node61" href="_hash_map_8h-source.html" title="HashMap.h" alt="" coords="844,160,937,189"><area shape="rect" id="node64" href="_hash_8h-source.html" title="Hash.h" alt="" coords="403,469,469,499"><area shape="rect" id="node69" href="_equals_8h-source.html" title="Equals.h" alt="" coords="1160,237,1235,267"><area shape="rect" id="node74" href="_util_8h-source.html" title="Util.h" alt="" coords="847,237,903,267"><area shape="rect" id="node92" href="_i18_n_8h-source.html" title="I18N.h" alt="" coords="341,315,405,344"></map>
</div>

<p>
<div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dynsection">
<p><center><img src="_common_8h__dep__incl.png" border="0" usemap="#Sylph/Core/Common.hdep_map" alt=""></center>
<map name="Sylph/Core/Common.hdep_map">
<area shape="rect" id="node3" href="_byte_buffer_8h-source.html" title="Sylph/Core/ByteBuffer.h" alt="" coords="5,83,189,112"><area shape="rect" id="node5" href="_sylph_8h-source.html" title="Sylph.h" alt="" coords="213,83,280,112"></map>
</div>

<p>
<a href="_common_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
This file is a shortcut to include many commonly used headers. 
<p>
Actually, it will include the following headers (relative to <code>Sylph/Core</code>): <code><ul>
<li>
<a class="el" href="_any_8h-source.html">Any.h</a> </li>
<li>
<a class="el" href="_array_8h-source.html">Array.h</a> </li>
<li>
<a class="el" href="_dictionary_8h-source.html">Dictionary.h</a> </li>
<li>
<a class="el" href="_file_8h-source.html">File.h</a> </li>
<li>
<a class="el" href="_primitives_8h-source.html">Primitives.h</a> </li>
<li>
<a class="el" href="_range_8h-source.html">Range.h</a> </li>
<li>
<a class="el" href="_string_8h-source.html">String.h</a> </li>
<li>
<a class="el" href="_exception_8h-source.html">Exception.h</a> </li>
</ul>
</code> It also has 'using' statements for following classes: <code><ul>
<li>
<a class="el" href="class_sylph_1_1_array.html" title="Array provides a safe array.">Sylph::Array</a> </li>
<li>
<a class="el" href="namespace_sylph.html#0c7b0200d7ae06e1607829fc737e1c9a" title="A Dictionary is a HashMap that maps Strings to Anys.">Sylph::Dictionary</a> </li>
<li>
<a class="el" href="class_sylph_1_1_string.html" title="The String class represents character strings.">Sylph::String</a> </li>
<li>
Sylph::range </li>
</ul>
</code> You can turn this of by defining the macro <code>SYLPH_NO_COMMON_USING</code> before inclusion. </div>
<hr size="1" class="unhidden"><address style="text-align: right;"><small>
Documentation for LibSylph by Doxygen
</body>
</html>
